BOS_ADDHOST(8)

NAME
bos_addhost - Adds a database server machine to the CellServDB file

SYNOPSIS
bos addhost B<-server> <I<machine name>> B<-host> <I<host name>>+
    [B<-cell> <I<cell name>>] [-clone] [-noauth] [-localauth] [-help]

bos addh B<-s> <I<machine name>> B<-ho> <I<host name>>+
    [B<-ce> <I<cell name>>] [-cl] [-n] [-l] [-he]

DESCRIPTION
The bos addhost command adds an entry for each database server machine specified with the -host argument to the /usr/local/etc/openafs/server/CellServDB file on the machine named by the -server argument.

CAUTIONS
After executing this command (and waiting for the Update Server to propagate the changes, if it is used), restart the database server processes on all database server machines to force election of a quorum that includes the new set of machines listed in the /usr/local/etc/openafs/server/CellServDB file. The OpenAFS Quick Start Guide explains in more detail how to add and remove database server machines.

It is best to maintain a one-to-one mapping between hostnames and IP addresses on a multihomed database server machine (this is actually the conventional configuration for any AFS machine). The BOS Server uses the gethostbyname() routine to obtain the IP address associated with the hostname specified by the -host argument. If there is more than one address, the BOS Server records in the CellServDB entry the one that appears first in the list of addresses returned by the routine. The routine possibly returns addresses in a different order on different machines, which can create inconsistency.

OPTIONS

-server <machine name>
    Identifies the server machine on which to change the /usr/local/etc/openafs/server/CellServDB file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

    In cells that use the Update Server to distribute the contents of the /usr/local/etc/openafs/server directory, it is conventional to specify only the system control machine as a value for the -server argument. Otherwise, repeat the command for each file server machine. For further discussion, see bos(8).

-host <host name>+
    Specifies the fully-qualified host name (such as "db1.abc.com") of each database server machine to register in the CellServDB file.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-clone
    Register the host given by -host as a non-voting clone site, which prevents the host from becoming a sync-site. This is an advanced feature and should be used with caution.

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command adds the database server machines "db2.abc.com" and "db3.abc.com" to the /usr/local/etc/openafs/server/CellServDB file on the machine "fs1.abc.com" (the system control machine).

   % bos addhost -server fs1.abc.com -host db2.abc.com db3.abc.com

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
CellServDB(5), KeyFile(5), UserList(5), bos(8), bos_listhosts(8), bos_removehost(8)

The OpenAFS Quick Start Guide at <http://docs.openafs.org/QuickStartUnix/>.

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.